GET https://api.ap1.datadoghq.com/api/v2/cost/custom_costs https://api.ap2.datadoghq.com/api/v2/cost/custom_costs https://api.datadoghq.eu/api/v2/cost/custom_costs https://api.ddog-gov.com/api/v2/cost/custom_costs https://api.us2.ddog-gov.com/api/v2/cost/custom_costs https://api.uk1.datadoghq.com/api/v2/cost/custom_costs https://api.datadoghq.com/api/v2/cost/custom_costs https://api.us3.datadoghq.com/api/v2/cost/custom_costs https://api.us5.datadoghq.com/api/v2/cost/custom_costs
개요 List the Custom Costs files.
This endpoint requires the cloud_cost_management_read permission.
OAuth apps require the cloud_cost_management_read authorization scope to access this endpoint.
인수 쿼리 문자열 Page number for pagination
Filter files by name with case-insensitive substring matching.
Sort key with optional descending prefix
응답 OK
Response for List Custom Costs files.
Expand All
List of Custom Costs files.
Schema of a Custom Costs metadata.
Total cost in the cost file.
Currency used in the Custom Costs file.
Usage charge period of a Custom Costs file.
End of the usage of the Custom Costs file.
Start of the usage of the Custom Costs file.
Name of the Custom Costs file.
Providers contained in the Custom Costs file.
Status of the Custom Costs file.
Timestamp, in millisecond, of the upload time of the Custom Costs file.
Metadata of the user that has uploaded the Custom Costs file.
The name of the Custom Costs file.
The name of the Custom Costs file.
ID of the Custom Costs metadata.
Type of the Custom Costs file metadata.
Meta for the response from the List Custom Costs endpoints.
Number of Custom Costs files per status.
List of available providers.
Number of Custom Costs files returned by the List Custom Costs endpoint
Version of Custom Costs file
{
"data" : [
{
"attributes" : {
"billed_cost" : 100.5 ,
"billing_currency" : "USD" ,
"charge_period" : {
"end" : 1706745600000 ,
"start" : 1704067200000
},
"name" : "my_file.json" ,
"provider_names" : [
"my_provider"
],
"status" : "active" ,
"uploaded_at" : 1704067200000 ,
"uploaded_by" : {
"email" : "email.test@datadohq.com" ,
"icon" : "icon.png" ,
"name" : "Test User"
}
},
"id" : "string" ,
"type" : "string"
}
],
"meta" : {
"count_by_status" : {
"<any-key>" : "integer"
},
"providers" : [],
"total_filtered_count" : "integer" ,
"version" : "string"
}
} Bad Request
{
"errors" : [
"Bad Request"
]
} Forbidden
{
"errors" : [
"Bad Request"
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} 코드 사례 복사
# Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/cost/custom_costs " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
List Custom Costs files returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.cloud_cost_management_api import CloudCostManagementApi
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = CloudCostManagementApi ( api_client )
response = api_instance . list_custom_costs_files ()
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# List Custom Costs files returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: CloudCostManagementAPI . new
p api_instance . list_custom_costs_files ()
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// List Custom Costs files returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewCloudCostManagementApi ( apiClient )
resp , r , err := api . ListCustomCostsFiles ( ctx , * datadogV2 . NewListCustomCostsFilesOptionalParameters ())
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `CloudCostManagementApi.ListCustomCostsFiles`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `CloudCostManagementApi.ListCustomCostsFiles`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// List Custom Costs files returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.CloudCostManagementApi ;
import com.datadog.api.client.v2.model.CustomCostsFileListResponse ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
CloudCostManagementApi apiInstance = new CloudCostManagementApi ( defaultClient );
try {
CustomCostsFileListResponse result = apiInstance . listCustomCostsFiles ();
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling CloudCostManagementApi#listCustomCostsFiles" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// List Custom Costs files returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_cloud_cost_management ::CloudCostManagementAPI ;
use datadog_api_client ::datadogV2 ::api_cloud_cost_management ::ListCustomCostsFilesOptionalParams ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = CloudCostManagementAPI ::with_config ( configuration );
let resp = api
. list_custom_costs_files ( ListCustomCostsFilesOptionalParams ::default ())
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* List Custom Costs files returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . CloudCostManagementApi ( configuration );
apiInstance
. listCustomCostsFiles ()
. then (( data : v2.CustomCostsFileListResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"